Skip to content
Dashboard

List all teams

GET/v2/teams

Returns all teams in your organization.

Response Structure

The response includes:

  • object - Always “list”
  • data - Array of team objects

Team Object

Each team includes:

  • id - Unique team identifier
  • name - Team display name
  • color - Team color in hex format
  • icon - Team icon (emoji, predefined, or external URL)
  • members - Array of admin IDs who are members of this team

Example Response

{
  "object": "list",
  "data": [
    {
      "object": "team",
      "id": "507f1f77bcf86cd799439011",
      "name": "Support Team",
      "color": "#3B82F6",
      "icon": {
        "value": "👥",
        "type": "emoji"
      },
      "members": ["5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457"]
    }
  ]
}

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
data: array of Team { id, color, icon, 3 more }

Array of teams

id: string

Unique identifier

color: string

Team color in hex format

icon: object { type, value }

Team icon

type: "emoji" or "predefined" or "external"

Type of icon

One of the following:
"emoji"
"predefined"
"external"
value: string

Icon value

members: array of string

Array of admin IDs who are members of this team

name: string

Team name

object: "team"

Object type identifier

object: "list"

Object type identifier

List all teams

curl https://do.featurebase.app/v2/teams \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "color": "#3B82F6",
      "icon": {
        "type": "emoji",
        "value": "👥"
      },
      "members": [
        "5fef50c5e9458a0012f82456",
        "5fef50c5e9458a0012f82457"
      ],
      "name": "Support Team",
      "object": "team"
    }
  ],
  "object": "list"
}
Returns Examples
{
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "color": "#3B82F6",
      "icon": {
        "type": "emoji",
        "value": "👥"
      },
      "members": [
        "5fef50c5e9458a0012f82456",
        "5fef50c5e9458a0012f82457"
      ],
      "name": "Support Team",
      "object": "team"
    }
  ],
  "object": "list"
}